<?php
use \WsdlToPhp\PackageBase\AbstractStructBase;

/**
 * This class stands for AddDirectedCallParkReq StructType
 * @subpackage Structs
 */
class AddDirectedCallParkReq extends APIRequest
{
    /**
     * The directedCallPark
     * @var XDirectedCallPark
     */
    public $directedCallPark;
    /**
     * Constructor method for AddDirectedCallParkReq
     * @uses AddDirectedCallParkReq::setDirectedCallPark()
     * @param XDirectedCallPark $directedCallPark
     */
    public function __construct(XDirectedCallPark $directedCallPark = null)
    {
        $this
            ->setDirectedCallPark($directedCallPark);
    }
    /**
     * Get directedCallPark value
     * @return XDirectedCallPark|null
     */
    public function getDirectedCallPark()
    {
        return $this->directedCallPark;
    }
    /**
     * Set directedCallPark value
     * @param XDirectedCallPark $directedCallPark
     * @return AddDirectedCallParkReq
     */
    public function setDirectedCallPark(XDirectedCallPark $directedCallPark = null)
    {
        $this->directedCallPark = $directedCallPark;
        return $this;
    }
    /**
     * Method called when an object has been exported with var_export() functions
     * It allows to return an object instantiated with the values
     * @see AbstractStructBase::__set_state()
     * @uses AbstractStructBase::__set_state()
     * @param array $array the exported values
     * @return AddDirectedCallParkReq
     */
    public static function __set_state(array $array)
    {
        return parent::__set_state($array);
    }
    /**
     * Method returning the class name
     * @return string __CLASS__
     */
    public function __toString()
    {
        return __CLASS__;
    }
}
